import * as $dara from '@darabonba/typescript';
import { DescribeAutoProvisioningGroupHistoryResponseBody } from "./DescribeAutoProvisioningGroupHistoryResponseBody";
export declare class DescribeAutoProvisioningGroupHistoryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeAutoProvisioningGroupHistoryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
